tvm.autotvm
-----------
.. automodule:: tvm.autotvm

tvm.autotvm.measure
~~~~~~~~~~~~~~~~~~~
.. automodule:: tvm.autotvm.measure.measure

.. autoclass:: tvm.autotvm.measure.MeasureInput
    :members:

.. autoclass:: tvm.autotvm.measure.MeasureResult
    :members:

.. autofunction:: tvm.autotvm.measure.measure_option

.. autofunction:: tvm.autotvm.measure.create_measure_batch

.. autoclass:: tvm.autotvm.measure.measure_methods.LocalBuilder

.. autoclass:: tvm.autotvm.measure.measure_methods.RPCRunner

.. autoclass:: tvm.autotvm.measure.measure_methods.LocalRunner

tvm.autotvm.tuner
~~~~~~~~~~~~~~~~~
.. automodule:: tvm.autotvm.tuner
    :members:

.. autoclass:: tvm.autotvm.tuner.Tuner
    :members:

.. autoclass:: tvm.autotvm.tuner.RandomTuner
    :members:
    :inherited-members:

.. autoclass:: tvm.autotvm.tuner.GridSearchTuner
    :members:
    :inherited-members:

.. autoclass:: tvm.autotvm.tuner.GATuner
    :members:
    :inherited-members:

.. autoclass:: tvm.autotvm.tuner.XGBTuner
    :members:
    :inherited-members:

.. automodule:: tvm.autotvm.tuner.callback
    :members:

tvm.autotvm.task
~~~~~~~~~~~~~~~~
.. automodule:: tvm.autotvm.task
    :members:

.. automodule:: tvm.autotvm.task.task
    :members:

.. automodule:: tvm.autotvm.task.space
    :members:

.. automodule:: tvm.autotvm.task.dispatcher
    :members:

.. automodule:: tvm.autotvm.task.topi_integration
    :members:

.. automodule:: tvm.autotvm.task.nnvm_integration
    :members:

tvm.autotvm.record
~~~~~~~~~~~~~~~~~~
.. automodule:: tvm.autotvm.record
    :members:
